import { Map } from 'lucide-react';
import { motion } from 'framer-motion';
import { Link } from 'react-router-dom';

export const Topbar = () => {

    return (
        <header className="sticky top-0 z-10 backdrop-blur-md bg-white/70 dark:bg-gray-900/80 border-b border-gray-200 dark:border-gray-800 px-7 py-3">
            <div className="container flex justify-between items-center">
                <motion.div
                    className="flex items-center my-1 text-2xl gap-3"
                    initial={{ opacity: 0, x: -20 }}
                    animate={{ opacity: 1, x: 0 }}
                    transition={{ duration: 1 }}
                >
                    <Link className='flex gap-x-3' to={"/"}>
                        <Map className="h-8 w-8 text-[hsl(var(--primary))] " />
                        <h1 className=" font-bold bg-gradient-to-r from-[hsl(var(--primary))] to-[hsl(var(--accent))] bg-clip-text text-transparent">
                            LeadGen
                        </h1>
                    </Link>
                </motion.div>

                {/* <motion.div
                    className="flex items-center gap-2"
                    initial={{ opacity: 0, x: 20 }}
                    animate={{ opacity: 1, x: 0 }}
                    transition={{ duration: 0.3 }}
                >
                    <ToggleButton
                        isToggled={theme === 'dark'}
                        onToggle={toggleTheme}
                        label={
                            <span className="sr-only">
                                {theme === 'dark' ? 'Switch to light mode' : 'Switch to dark mode'}
                            </span>
                        }
                        className="ml-2"
                    />
                    {theme === 'dark' ? (
                        <Moon className="h-4 w-4 text-gray-400" />
                    ) : (
                        <Sun className="h-4 w-4 text-amber-500" />
                    )}
                </motion.div> */}
            </div>
        </header>
    );
}