import React from 'react';
import {Topbar} from './Topbar';

interface LayoutProps {
  children: React.ReactNode;
}

const Layout: React.FC<LayoutProps> = ({ children }) => {
  return (
    <div className="min-h-screen bg-gray-50 dark:bg-gray-900 text-gray-900 dark:text-gray-100 flex flex-col">
      <Topbar />
      <main className="flex-grow">{children}</main>
    </div>
  );
};

export default Layout;