export interface Place {
  id: string;
  name: string;
  category: PlaceCategory;
  address: string;
  description: string;
  rating: number;
  distance: number; // in meters
  coordinates: {
    latitude: number;
    longitude: number;
  };
  openHours?: string;
  photos?: string[];
  priceLevel?: number; // 1-4, where 1 is least expensive
  website?: string;
  phoneNumber?: string;
}

export type PlaceCategory = 
  | 'restaurant'
  | 'cafe'
  | 'bar'
  | 'hotel'
  | 'store'
  | 'attraction'
  | 'park'
  | 'gym'
  | 'other';

export interface LocationData {
  latitude: number;
  longitude: number;
  accuracy?: number;
}

export interface AIQueryParams {
  location: LocationData;
  radius: number; // in meters
  categories?: PlaceCategory[];
  limit?: number;
}

export type ThemeMode = 'light' | 'dark';

export type FilterOption = {
  id: string;
  label: string;
  value: string;
};